# Uses of Class
java.time.zone.ZoneOffsetTransitionRule

Packages that use ZoneOffsetTransitionRule
Package
Description
java.time.zone
Support for time-zones and their rules.

- ## Uses of ZoneOffsetTransitionRule in java.time.zone

  Methods in java.time.zone that return ZoneOffsetTransitionRule
  Modifier and Type
  Method
  Description
  `static ZoneOffsetTransitionRule`
  ZoneOffsetTransitionRule.`of(Month month, int dayOfMonthIndicator, DayOfWeek dayOfWeek, LocalTime time, boolean timeEndOfDay, ZoneOffsetTransitionRule.TimeDefinition timeDefinition, ZoneOffset standardOffset, ZoneOffset offsetBefore, ZoneOffset offsetAfter)`
  Obtains an instance defining the yearly rule to create transitions between two offsets.
  Methods in java.time.zone that return types with arguments of type ZoneOffsetTransitionRule
  Modifier and Type
  Method
  Description
  `List<ZoneOffsetTransitionRule>`
  ZoneRules.`getTransitionRules()`
  Gets the list of transition rules for years beyond those defined in the transition list.